Bug 492283 - Package perl-Schedule-Cron-Events is not Required by anything on Satellite 5.3.0, we might want to not ship it
Package perl-Schedule-Cron-Events is not Required by anything on Satellite 5....
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Installer (Show other bugs)
530
All Linux
low Severity medium
: ---
: ---
Assigned To: Shannon Hughes
Steve Salevan
:
Depends On:
Blocks: 463876 492530
  Show dependency treegraph
 
Reported: 2009-03-26 07:00 EDT by Tomas Lestach
Modified: 2009-09-10 14:54 EDT (History)
1 user (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 14:54:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Lestach 2009-03-26 07:00:24 EDT
Description of problem:

Package perl-Schedule-Cron-Events is not Required by anything on Satellite 5.3.0, we might want to not ship it.

Version-Release number of selected component (if applicable):

Satellite-5.3.0-RHEL5-re20090323.0 on i386
perl-Schedule-Cron-Events-1.8-15.el5.noarch.rpm

How reproducible:

Deterministic.

Steps to Reproduce:
1. Install Satellite 5.3.0.
2. Run rpm -q perl-Schedule-Cron-Events, check that package perl-Schedule-Cron-Events is installed.
3. Run rpm -e perl-Schedule-Cron-Events.
4. Run rpm -q perl-Schedule-Cron-Events again, check that it's now been removed.
  
Actual results:

Package perl-Schedule-Cron-Events is installed but it is not required by anything in the Satellite, so it can safely be removed.

Expected results:

Either the package should be Required by some other package, or it should not be on the compose.

Additional info:

On Satellite 5.2.0, perl-Schedule-Cron-Events was needed by rhn-base, but is not required in 5.3.0 any more.
Comment 1 Brandon Perkins 2009-03-26 13:56:03 EDT
Was used by /usr/lib/perl5/site_perl/5.8.5/RHN/TaskMaster.pm which is now gone.  Shannon, please look and confirm that this can be removed.
Comment 2 Shannon Hughes 2009-03-27 15:21:32 EDT
confirmed this rpms is not used in the perl code. qa can follow reproducing steps in comment #1 for test plan. 

the corresponding release engineering ticket number to remove from the iso is 38385
Comment 3 Shannon Hughes 2009-04-06 11:09:25 EDT
mass move to onqa
Comment 4 Steve Salevan 2009-04-08 12:32:54 EDT
# rpm -q perl-Schedule-Cron-Events
package perl-Schedule-Cron-Events is not installed

Moving to VERIFIED, tested on 530-re20090403.2.
Comment 5 Michael Mráka 2009-08-10 09:11:08 EDT
Verified in stage -> RELEASE_PENDING.

# rpm -q perl-Schedule-Cron-Events
package perl-Schedule-Cron-Events is not installed
Comment 6 Brandon Perkins 2009-09-10 14:54:26 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.